创建 Private Endpoint (V2)
Creates a private endpoint in a project.
POST/v2/projects/{projectId}/privateEndpoints
该 API 的 Base URL 格式如下:
https://api.cloud.zilliz.com
📘说明
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API Key。
示例值:Bearer {{TOKEN}}
projectIdstringpath必填项
项目 ID。
示例值:proj-xxxxxxxxxxxxxxxxxxx
请求体application/json
regionIdstring必填项
创建 Private Endpoint 的云地域 ID。
endpointIdstring必填项
云服务提供商提供的 VPC Endpoint ID。
gcpProjectIdstring
Google Cloud 项目 ID。Google Cloud 地域需要此字段。
Alibaba Cloud PrivateLinkbash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"
curl --request POST \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"regionId": "ali-cn-hangzhou",
"endpointId": "ep-xxxxxxxxxxxxxxxxx"
}'
响应200 OK - application/json
返回成功结果或错误消息。
成功响应。
codeinteger必填项
响应码。
示例值:0
dataobject必填项
已创建的 Private Endpoint 标识。
endpointIdstring
Private Endpoint ID。
regionIdstring
云地域 ID。
失败响应。
codeinteger必填项
响应码。
messagestring必填项
错误消息。
Successjson
{
"code": 0,
"data": {
"endpointId": "ep-xxxxxxxxxxxxxxxxx",
"regionId": "ali-cn-hangzhou"
}
}